VoxLink.ai

Phone Numbers

Search available phone numbers

Search for available phone numbers that can be purchased

This endpoint allows you to search for available phone numbers from our provider. Use the results to find a number you want to purchase.

Query Parameters

country_codestring

The ISO 3166-1 alpha-2 country code to search in (e.g., US, GB, AU, CA)

containsstring

Filter phone numbers that contain specific digits (numeric characters only, max 10 digits)

Response

dataarray

Array of available phone numbers

phone_numberstring

  The phone number in E.164 format

phone_number_formattedstring

  The phone number formatted for display

country_codestring

  The ISO country code

pricenumber

  Monthly rental price in USD

stripe_price_idstring

  The Stripe price ID for billing

address_requirementsstring

  Address requirements for this number: `none`, `local`, `foreign`, or `inventory`

sms_capableboolean

  Whether the number supports SMS
{
  "data": [
    {
      "phone_number": "+14155551234",
      "phone_number_formatted": "+1 415-555-1234",
      "country_code": "US",
      "price": 3.99,
      "stripe_price_id": "price_1PkA4dBXoZOzqQuAsvGvVJTZ",
      "address_requirements": "none",
      "sms_capable": true
    },
    {
      "phone_number": "+14155555678",
      "phone_number_formatted": "+1 415-555-5678",
      "country_code": "US",
      "price": 3.99,
      "stripe_price_id": "price_1PkA4dBXoZOzqQuAsvGvVJTZ",
      "address_requirements": "none",
      "sms_capable": false
    }
  ]
}
{
  "data": []
}

Supported Countries

Country Code
United States US
Canada CA
United Kingdom GB
Australia AU
Israel IL
Poland PL
Finland FI
Netherlands NL
Denmark DK
Italy IT

Related guides